﻿namespace ScriptTools
{
    public static class ScriptValueTypes
    {
        public static string[] Names { get; } = new string[]
        {
            "unknown",
            "unknown",
            "script_command",
            "unknown",
            "void",
            "bool",
            "real",
            "short",
            "int",
            "string",
            "script",
            "stringid",
            "vehicle_seat",
            "trigger_volume",
            "cutscene_flag",
            "cutscene_camera",
            "cutscene_title",
            "unknown",
            "device_group",
            "ai",
            "unknown",
            "command_script",
            "ai_behavior",
            "ai_orders",
            "starting_profile",
            "unknown",
            "sbsp",
            "navpoint",
            "location",
            "unknown",
            "unknown",
            "object_list",
            "sound",
            "effe",
            "jpt!",
            "lsnd",
            "jmad",
            "unknown",
            "ident",
            "unknown",
            "unknown",
            "mode",
            "unknown",
            "unknown",
            "difficulty",
            "ai_team",
            "unknown",
            "unknown",
            "unknown",
            "unknown",
            "script_object",
            "script_unit",
            "script_vehicle",
            "script_weapon",
            "script_device",
            "script_scenery",
            "script_object_instance"
        };

        public static int GetIndex(string name) //for compiling
        {
            for (var i = 0; i < Names.Length; i++)
            {
                if (name == Names[i])
                    return i;
            }

            return -1;
        }
    }
}