﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ScriptTools
{
    public class ScriptListComparer : IComparer<Script>
    {
        public int Compare(Script x, Script y)
        {
            switch (ScriptListForm.SortType)
            {
                case 0: // order
                    if (x.ChunkNumber > y.ChunkNumber)
                        return 1;
                    else if (x.ChunkNumber < y.ChunkNumber)
                        return -1;
                    else return 0;

                case 1: // reverse order
                    if (x.ChunkNumber < y.ChunkNumber)
                        return 1;
                    else if (x.ChunkNumber > y.ChunkNumber)
                        return -1;
                    else return 0;

                case 2: // alphabetical
                    return string.Compare(x.Name, y.Name);

                case 3:
                    return -(string.Compare(x.Name, y.Name));
            }
            return 0;
        }
    }
}