using System;
using System.Collections.Generic;
using System.Collections;
using System.Text;

namespace HaloMap
{
    public sealed class Maps
    {
        public static List<Map> map=new List<Map>();

        public static int Add(string path)
        {
          

            Map info = new Map(path);
            if (info.error == true) { return -1; }
            if (map.IndexOf(info) == -1)
            {
               // try
               // {
                    map.Add(info);
                    switch (Maps.map[Maps.map.Count - 1].HaloVersion)
                    {
                        case Map.HaloVersionEnum.Halo2:
                            MetaContainers.ugh_.GetUghContainerInfo(map.Count - 1);
                            Maps.map[map.Count - 1].BSP = new BSPContainer(map.Count - 1);
                       
                            break;
                        case Map.HaloVersionEnum.Halo1:
                        case Map.HaloVersionEnum.HaloCE:
                            Maps.map[map.Count - 1].BSP = new BSPContainer(map.Count - 1);
                            break;
                    }
              //  }
              //  catch
              //  {
             //     
              //  }
                return map.Count-1;
            }
            else
            {
                return map.IndexOf(info);
            }
        }


        public static void Refresh(int index)
        {
            map[index].CloseMap();
            TagMeta tempmeta = new TagMeta(); ;
            if (map[index].SelectedMeta!=null)tempmeta = map[index].SelectedMeta;

            Map info = new Map(map[index].filePath);

           
                map[index]=info;
                switch (Maps.map[index].HaloVersion)
                {
                    case Map.HaloVersionEnum.Halo2:
                        MetaContainers.ugh_.GetUghContainerInfo(index);
                        Maps.map[index].BSP = new BSPContainer(index);
                        break;
                    case Map.HaloVersionEnum.Halo1:
                    case Map.HaloVersionEnum.HaloCE:
                        Maps.map[index].BSP = new BSPContainer(index);
                        break;
                }
                Maps.map[index].BSP = new BSPContainer(index);

                if (tempmeta.MS != null)
                {
                    map[index].SelectedMeta = tempmeta;
                    TagMeta.ScanMetaItems(ref map[index].SelectedMeta, map[index].SelectedMeta.scannedwithent, map[index].SelectedMeta.parsed, index);
                }
        }

        public static void Remove(int index)
        {
            map[index].CloseMap();
            map.RemoveAt(index);
            GC.Collect(0);
            GC.WaitForPendingFinalizers();
        }
    }
}
