﻿using System.Collections.Generic;

namespace ScriptTools
{
    public class ScriptTypeComparer : IComparer<int>
    {
        public int Compare(int x, int y)
        {
            switch (x)
            {
                case 31: // object_lists at the bottom of the list... last resort
                    return 1;

                case 50:
                    if (y != 31)
                        return 1;
                    if (y > 50)
                        return 1;
                    return -1;

                default:
                    if (x > y)
                        return 1;
                    else if (x < y)
                        return -1;
                    else
                        return 0;
            }
        }
    }
}