using System;
using System.Collections.Generic;
using System.Collections;
using System.Text;
using System.Windows.Forms;

namespace HaloMap.IFP
{
    public sealed class IFPHashMap
    {
        public static Hashtable H2IFPHash=new Hashtable();
        public static Hashtable H1IFPHash = new Hashtable();
        public static void RemoveIfp(string TagType, int mapnumber)
        {
            if (Maps.map[mapnumber].HaloVersion == Map.HaloVersionEnum.Halo2)
            {
                try
                {
                    IFP.IFPHashMap.H2IFPHash.Remove(TagType);
                }
                catch
                {

                }

            }
            else
            {
                try
                {
                    IFP.IFPHashMap.H1IFPHash.Remove(TagType);
                }
                catch
                {

                }
            }
        }
        public static IFPIO GetIfp(string TagType,int mapnumber)
        {
            
            IFPIO tempifp;
            if (Maps.map[mapnumber].HaloVersion == Map.HaloVersionEnum.Halo2)
            {
                tempifp = (IFPIO)IFPHashMap.H2IFPHash[TagType];
                if (tempifp == null)
                {
                    tempifp = new IFPIO();
                    //string temps = Application.StartupPath + "\\plugins\\" + TagType.Trim() + ".ifp";
                    string temps = Application.StartupPath + "\\Plugins\\Halo 2\\ent\\" + TagType.Trim() + ".ent";
                    temps = temps.Replace("<", "_");
                    temps = temps.Replace(">", "_");
                     try
                    {
                    tempifp.ReadIFP(temps/* + "2"*/);
                    }
                    catch
                     {
                        MessageBox.Show("Error Reading Ifp: " + TagType);
                      // return tempifp;
                     }
                    IFPHashMap.H2IFPHash.Add(TagType, tempifp);
                }
            }
            else
            {
                tempifp = (IFPIO)IFPHashMap.H1IFPHash[TagType];
                if (tempifp == null)
                {
                    tempifp = new IFPIO();
                    //string temps = Application.StartupPath + "\\plugins\\" + TagType.Trim() + ".ifp";
                    string temps = Application.StartupPath + "\\Plugins\\Halo 1\\ent\\" + TagType.Trim() + ".ent";
                    temps = temps.Replace("<", "_");
                    temps = temps.Replace(">", "_");
                     try
                     {
                    tempifp.ReadIFP(temps/* + "2"*/);
                      }
                     catch
                    {
                         MessageBox.Show("Error Reading Ifp: " + TagType);
                  }
                    IFPHashMap.H1IFPHash.Add(TagType, tempifp);
                }
            }

           return tempifp;
        }
    }
}
