using System;
using System.Windows.Forms;

namespace ScriptTools
{
    public partial class ConstructBoxInfo : Form
    {
        public ConstructBoxInfo()
        {
            InitializeComponent();
            for (int i = 0; i < ScriptValueTypes.Names.Length; i++)
            {
                if (ScriptValueTypes.Names[i] == "unknown")
                    continue;
                cboTypes.Items.Add(ScriptValueTypes.Names[i]);
            }
        }

        private void BtnCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        public void LoadValue(int type)
        {
            cboTypes.Text = ScriptValueTypes.Names[type];
        }
    }
}